package com.aijia.kmt.dto;


import com.aijia.kmt.po.KmtExerciseBook;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;

/**
 * @author Mount Liu
 * @date 2020/4/14
 */
public class Exercise1Dto extends KmtExerciseBook {

    private static final long serialVersionUID = 1L;
    /**
     * 练习册id
     */
    private String exerciseBookId;
    /**
     * 科目
     */
    private String subject;
    /**
     * 老师名字
     */
    private String teacherName;
    /**
     * 使用年份，同bookYear
     */
    private int useYear;

    private String publishDate;

    private String bookQuestionPdf;

    private String bookAnswerPdf;

    private int uploadType;

    /**
     * 分配校对时间
     * @return
     */
    private String allotCheckTime;

    public String getAllotCheckTime() {
        return allotCheckTime;
    }

    public void setAllotCheckTime(String allotCheckTime) {
        this.allotCheckTime = allotCheckTime;
    }

    public int getUseYear() {
        return useYear;
    }

    public void setUseYear(int useYear) {
        this.useYear = useYear;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getBookQuestionPdf() {
        return bookQuestionPdf;
    }

    public void setBookQuestionPdf(String bookQuestionPdf) {
        this.bookQuestionPdf = bookQuestionPdf;
    }

    public String getBookAnswerPdf() {
        return bookAnswerPdf;
    }

    public void setBookAnswerPdf(String bookAnswerPdf) {
        this.bookAnswerPdf = bookAnswerPdf;
    }

    public int getUploadType() {
        if (StringUtils.isBlank(this.getBookQuestionPdf()) && StringUtils.isBlank(this.getBookAnswerPdf())){
            return 2;
        }
        return 1;
    }

    public void setUploadType(int uploadType) {
        this.uploadType = uploadType;
    }
}
