package com.aijia.kmt.dto;

import com.aijia.kmt.enums.ExerciseBookStatusEnum;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * @author yrf
 * @description
 * @time 2020/4/15 11:15
 */
public class ExerciseBookCountDTO implements Serializable {

    private static final long serialVersionUID = -7835795022709907714L;


    /**
     * status : 0
     * statusText : 0打回AI
     * totalCount : 20
     * chineseCount : 8
     * mathCount : 8
     * englishCount : 4
     */

    private Integer status;
    private String statusText;
    private Integer totalCount;
    private Integer chineseCount;
    private Integer mathCount;
    private Integer englishCount;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusText() {
        if (StringUtils.isBlank(statusText)) {
            this.statusText = ExerciseBookStatusEnum.getDescriptionByCode(this.status);
        }
        return statusText;
    }

    public void setStatusText(String statusText) {
        this.statusText = statusText;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getChineseCount() {
        return chineseCount;
    }

    public void setChineseCount(Integer chineseCount) {
        this.chineseCount = chineseCount;
    }

    public Integer getMathCount() {
        return mathCount;
    }

    public void setMathCount(Integer mathCount) {
        this.mathCount = mathCount;
    }

    public Integer getEnglishCount() {
        return englishCount;
    }

    public void setEnglishCount(Integer englishCount) {
        this.englishCount = englishCount;
    }
}
