package com.aijia.kmt.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author yrf
 * @date 2019/4/29 13:53
 */
@Data
public class WrongBookKnowledgeDTO2 implements Serializable {

    private static final long serialVersionUID = -2351152244857400763L;

    private String howDetailSortIdStr;

    private Integer errorNum;

    @JSONField(serialize = false)
    private String knowHowDetailIdStr;

    @JSONField(serialize = false)
    private String knowledgeVersionStr;

    private List<KnowHowDetailDTO> knowHowDetailList;
    private String knowledgeAlias;
    private Integer wrongQuestionSum;

    //    @JSONField(serialize = false)
    private Integer wrongQuestionCount;

    @JSONField(serialize = false)
    private Integer totalQuestionCount;

    private Integer errorRate;

    @JSONField(serialize = false)
    private String questionStatusStr;

    private Integer questionStatus;

    public String getHowDetailSortIdStr() {
        return howDetailSortIdStr;
    }

    public void setHowDetailSortIdStr(String howDetailSortIdStr) {
        this.howDetailSortIdStr = howDetailSortIdStr;
    }

    public String getKnowHowDetailIdStr() {
        return knowHowDetailIdStr;
    }

    public void setKnowHowDetailIdStr(String knowHowDetailIdStr) {
        this.knowHowDetailIdStr = knowHowDetailIdStr;
    }

    public List<KnowHowDetailDTO> getKnowHowDetailList() {
        return knowHowDetailList;
    }

    public String getKnowledgeVersionStr() {
        return knowledgeVersionStr;
    }

    public void setKnowledgeVersionStr(String knowledgeVersionStr) {
        this.knowledgeVersionStr = knowledgeVersionStr;
    }

    public void setKnowHowDetailIdList(List<KnowHowDetailDTO> knowHowDetailList) {
        this.knowHowDetailList = knowHowDetailList;
    }

    public String getKnowledgeAlias() {
        return knowledgeAlias;
    }

    public void setKnowledgeAlias(String knowledgeAlias) {
        this.knowledgeAlias = knowledgeAlias;
    }

    public Integer getWrongQuestionSum() {
        return wrongQuestionSum;
    }

    public void setWrongQuestionSum(Integer wrongQuestionSum) {
        this.wrongQuestionSum = wrongQuestionSum;
    }
    public Integer getWrongQuestionCount() {
        return wrongQuestionCount;
    }

    public void setWrongQuestionCount(Integer wrongQuestionCount) {
        this.wrongQuestionCount = wrongQuestionCount;
    }

    public Integer getTotalQuestionCount() {
        return totalQuestionCount;
    }

    public void setTotalQuestionCount(Integer totalQuestionCount) {
        this.totalQuestionCount = totalQuestionCount;
    }

    public Integer getErrorRate() {
        if (wrongQuestionCount == null || totalQuestionCount == 0 || totalQuestionCount < 1) {
            return errorRate = 0;
        } else {
            errorRate = wrongQuestionCount * 10000 / totalQuestionCount;
            if (totalQuestionCount <= 3) {
                errorRate = errorRate / 2;
            } else if (totalQuestionCount <= 10) {
                errorRate = errorRate * 4 / 5;
            }
        }

        return errorRate;
    }

    public void setErrorRate(Integer errorRate) {
        this.errorRate = errorRate;
    }

    public String getQuestionStatusStr() {
        return questionStatusStr;
    }

    public void setQuestionStatusStr(String questionStatusStr) {
        this.questionStatusStr = questionStatusStr;
    }

    public Integer getQuestionStatus() {
        return questionStatus;
    }

    public void setQuestionStatus(Integer questionStatus) {
        this.questionStatus = questionStatus;
    }
}
