package com.aijia.kmt.dto.exercise;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

public class ExerciseQuestionEditDto  implements Serializable {
    private static final long serialVersionUID = 1L;

    private String questionId;

    private String exerciseBookName;

    private String subject;

    private String grade;

    private String versionName;

    private int semester;

    @JSONField(serialize = false)
    private int dealStatus;

    private int bookType;

    private String bookTypeName;

    private Date createTime;

    @JSONField(serialize = false)
    private String userId;

    private String createUserName;

    private int editStatus = 1;

    //跳转接口需要的参数
    private String bookId;
    private int bookPartType = 1;
    private int bookYear;
    private String exerciseBookId;
    private String periodId;
    private int rollbackType = 0;
    private String unitId;
    private int versionType;



    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getExerciseBookName() {
        return exerciseBookName;
    }

    public void setExerciseBookName(String exerciseBookName) {
        this.exerciseBookName = exerciseBookName;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public int getDealStatus() {
        return dealStatus;
    }

    public void setDealStatus(int dealStatus) {
        this.dealStatus = dealStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public String getBookTypeName() {
        return bookTypeName;
    }

    public void setBookTypeName(String bookTypeName) {
        this.bookTypeName = bookTypeName;
    }


    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public int getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(int editStatus) {
        this.editStatus = editStatus;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public int getBookPartType() {
        return bookPartType;
    }

    public void setBookPartType(int bookPartType) {
        this.bookPartType = bookPartType;
    }

    public int getBookYear() {
        return bookYear;
    }

    public void setBookYear(int bookYear) {
        this.bookYear = bookYear;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public int getRollbackType() {
        return rollbackType;
    }

    public void setRollbackType(int rollbackType) {
        this.rollbackType = rollbackType;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }
}

