package com.aijia.kmt.dto.papercreate;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class QuestionCommonDto  implements Serializable {
    private static final long serialVersionUID = 1L;

    private String questionId;

    private String questionHtml;

    private String questionText;

    private List<QuestionLineDto> answerJson;

    private int questionDifficultLevel;

    private String questionDifficultLevelName;

    private List<QuestionCommonDto> childQuestions;

    public void addChildQuestions (QuestionCommonDto child) {
        if (childQuestions == null){
            childQuestions = new ArrayList<>();
        }
        this.childQuestions.add(child);
    }
}
