package com.aijia.kmt.enums;

public enum SubjectEnum {
    CHINESE("语文", "chinese"),
    MATH("数学","math"),
    ENGLISH("英语","english");


    private SubjectEnum(String subject, String english) {
        this.subject = subject;
        this.english = english;
    }

    private String subject;
    private String english;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public static String getEnglishByChinese (String subject){
        for(SubjectEnum subjectEnum:SubjectEnum.values()){
            if(subject.equals(subjectEnum.getSubject())){
                return subjectEnum.getEnglish();
            }
        }
        return "";
    }
}
