package com.aijia.kmt.enums;

public enum TeacherEnrollmentEnum {
    Social(1, "社会招聘"),
    School(2, "高校合作"),
    Assistant(3, "教研助理");

    private TeacherEnrollmentEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }
    private int type;
    private String name;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getNameByType(int type){
        for(TeacherEnrollmentEnum teacherEnrollmentEnum : TeacherEnrollmentEnum.values()){
            if(teacherEnrollmentEnum.getType() == type){
                return teacherEnrollmentEnum.getName();
            }
        }
        return "";
    }
}
