package com.aijia.kmt.mapper;

import com.aijia.kmt.po.bank.Bank;
import com.aijia.kmt.po.bank.TbCardInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface BankMapper extends BaseMapper<Bank> {

    @Select("select * from ssj_bank where 1=1 order by bank_name ")
    List<Bank> findAllOrderbyBankName();

    @Select(value="select * from tb_card_info where user_id = #{userId} and state >0 limit 1")
    TbCardInfo findByUserIdValid(@Param("userId") String userId);
}
