package com.aijia.kmt.mapper;

import com.aijia.kmt.po.user.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UserMapper extends BaseMapper<User> {

    @Select("select * from tb_user where mobile=#{phone}")
    User findByMobile(@Param("phone") String phone);

    @Select("select *  from tb_user  where unionid =#{unionid} ORDER BY wx_account desc   ")
    User  getUserByUnionid(@Param("unionid")String unionid);

    @Select("update tb_user_account set user_id = #{wxUserId} where user_id = #{mobileUserId} ")
    int updateByUserId(@Param("wxUserId")String wxUserId,
                       @Param("mobileUserId")String mobileUserId);

    @Select("select * from tb_user where user_id=#{userId} limit 1")
    User getById(@Param("userId") String userId);
}
