package com.aijia.kmt.po;

import com.aijia.kmt.po.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name="kmt_quality_question_comment")
@TableName(value="kmt_quality_question_comment")
public class KmtQualityQuestionComment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private String questionId;

    private Date createTime;

    private int beginYear = 0;

    private int endYear = 0;

    private String questionProvince;

    private String questionCity;

    private String questionCountry;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getBeginYear() {
        return beginYear;
    }

    public void setBeginYear(int beginYear) {
        this.beginYear = beginYear;
    }

    public int getEndYear() {
        return endYear;
    }

    public void setEndYear(int endYear) {
        this.endYear = endYear;
    }

    public String getQuestionProvince() {
        return questionProvince;
    }

    public void setQuestionProvince(String questionProvince) {
        this.questionProvince = questionProvince;
    }

    public String getQuestionCity() {
        return questionCity;
    }

    public void setQuestionCity(String questionCity) {
        this.questionCity = questionCity;
    }

    public String getQuestionCountry() {
        return questionCountry;
    }

    public void setQuestionCountry(String questionCountry) {
        this.questionCountry = questionCountry;
    }
}
