package com.aijia.kmt.po;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * Create by ciciwu on 2020年12月16日 下午4:55:27
 *
 * table：q_workbook（练习册表）
 */
@TableName(value="q_workbook")
public class Workbook implements Serializable {
/**
	 * 
	 */
	private static final long serialVersionUID = -8977469214310596731L;
	private String id;//ID
	private String bookName;//练习册名称
	private String bookSubject;//学科名称：语文；数学；英语
	private int versionCode;//练习册教材的版本：1表示人教版；2表示苏教版；3表示粤教版；...
	private String versionName;//版本名称，对应上面的版本编号：人教版；人教(部编旧)；沪教版（新）；...
	private String bookGrade;//练习册所属的年级，例如一年级；二年级；三年级；...
	private int semester;//上下册：1表示上册；2表示下册
	private int bookYear;//练习册的年份，2020，2022，2030...
	private String press;//出版社名称
	private String frontCoverUrl;//封面图片URL地址
	private String backCoverUrl;//封面背面的图片的URL地址
	private String printYear;//印刷日期，例如：2020年5月第10次印刷
	private int useYear;//使用年份，例如2039
	private String bookQuestionPdf; //题目pdf
	private String bookAnswerPdf; //答案pdf
	private String updateTime;//更新时间：2020-09-30 12:12:10
	private String createTime;//创建时间：2020-09-30 12:12:10
	private int status;//状态：1正常状态；-1被删除
	private String des;//备注，备用字段
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getBookName() {
		return bookName;
	}
	public void setBookName(String bookName) {
		this.bookName = bookName;
	}
	public String getBookSubject() {
		return bookSubject;
	}
	public void setBookSubject(String bookSubject) {
		this.bookSubject = bookSubject;
	}
	public int getVersionCode() {
		return versionCode;
	}
	public void setVersionCode(int versionCode) {
		this.versionCode = versionCode;
	}
	public String getVersionName() {
		return versionName;
	}
	public void setVersionName(String versionName) {
		this.versionName = versionName;
	}
	public String getBookGrade() {
		return bookGrade;
	}
	public void setBookGrade(String bookGrade) {
		this.bookGrade = bookGrade;
	}
	public int getSemester() {
		return semester;
	}
	public void setSemester(int semester) {
		this.semester = semester;
	}
	public int getBookYear() {
		return bookYear;
	}
	public void setBookYear(int bookYear) {
		this.bookYear = bookYear;
	}
	public String getPress() {
		return press;
	}
	public void setPress(String press) {
		this.press = press;
	}
	public String getFrontCoverUrl() {
		return frontCoverUrl;
	}
	public void setFrontCoverUrl(String frontCoverUrl) {
		this.frontCoverUrl = frontCoverUrl;
	}
	public String getBackCoverUrl() {
		return backCoverUrl;
	}
	public void setBackCoverUrl(String backCoverUrl) {
		this.backCoverUrl = backCoverUrl;
	}
	public String getPrintYear() {
		return printYear;
	}
	public void setPrintYear(String printYear) {
		this.printYear = printYear;
	}
	public int getUseYear() {
		return useYear;
	}
	public void setUseYear(int useYear) {
		this.useYear = useYear;
	}
	public String getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getDes() {
		return des;
	}
	public void setDes(String des) {
		this.des = des;
	}

	public String getBookQuestionPdf() {
		return bookQuestionPdf;
	}

	public void setBookQuestionPdf(String bookQuestionPdf) {
		this.bookQuestionPdf = bookQuestionPdf;
	}

	public String getBookAnswerPdf() {
		return bookAnswerPdf;
	}

	public void setBookAnswerPdf(String bookAnswerPdf) {
		this.bookAnswerPdf = bookAnswerPdf;
	}
}
