package com.aijia.kmt.po.knowledge;


import com.aijia.kmt.po.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2018年3月8日 下午1:40:46 
 * 类说明 
 */
@Entity
@Table(name = "zyb_know_how_details_sort")
@TableName(value = "zyb_know_how_details_sort")
public class ZuoybKnowHowDetailsSort extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8003332622380236393L;
	/**
	 * 知识点id
	 */
	private String howDetailsId;
	/**
	 * 单元id
	 */
	private String howId;
	/**
	 * 考点id
	 */
	private String howDetailsKdId;
	/**
	 * 前考点id(只有考点才有)
	 */
	private String beforeHowDetailsKdId;
	/**
	 * 1北师大，2人教版
	 */
	private Integer type ; 
	/**
	 * 1上学期，2下学期
	 */
	private Integer semester;
	/**
	 * 单元排序
	 */
	private Integer num;
	/**
     * 课程名称
     */
	private String courseName;
	/**
	 * 年级
	 */
	private String grade;
	/**
	 * 数字年级
	 */
	private Integer gradeNum;
	
	private String libId;
	
	private Date createTime;
	/**
	 * 别名
	 */
	private String alias;
	/**
	 * 1单元2知识点3考点
	 */
	private Integer stat;


	private Integer memorize; //识记

	private Integer understanding;//理解

	private Integer apply; //应用
	/**
	 * 模块（新）
	 */
	private String twoModule;
	/**
	 * 模块
	 */
	private String module;
	/**
	 * 教学目标（新）
	 */
	private String jxmb;
	/**
	 * 重点标识（新）
	 */
	private String zdbx;
	/**
	 * 要点梳理（新）
	 */
	private String ydsl;
	/**
	 * 知识点属性
	 */
	private Integer  attrType;



	public String getHowDetailsId() {
		return howDetailsId;
	}
	public void setHowDetailsId(String howDetailsId) {
		this.howDetailsId = howDetailsId;
	}
	public String getHowId() {
		return howId;
	}
	public void setHowId(String howId) {
		this.howId = howId;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getSemester() {
		return semester;
	}
	public void setSemester(Integer semester) {
		this.semester = semester;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getGradeNum() {
		return gradeNum;
	}
	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getHowDetailsKdId() {
		return howDetailsKdId;
	}
	public void setHowDetailsKdId(String howDetailsKdId) {
		this.howDetailsKdId = howDetailsKdId;
	}
	public String getAlias() {
		return alias;
	}
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getBeforeHowDetailsKdId() {
		return beforeHowDetailsKdId;
	}
	public void setBeforeHowDetailsKdId(String beforeHowDetailsKdId) {
		this.beforeHowDetailsKdId = beforeHowDetailsKdId;
	}


	public Integer getMemorize() {
		return memorize;
	}

	public void setMemorize(Integer memorize) {
		this.memorize = memorize;
	}

	public Integer getUnderstanding() {
		return understanding;
	}

	public void setUnderstanding(Integer understanding) {
		this.understanding = understanding;
	}

	public Integer getApply() {
		return apply;
	}

	public void setApply(Integer apply) {
		this.apply = apply;
	}

	public String getTwoModule() {
		return twoModule;
	}

	public void setTwoModule(String twoModule) {
		this.twoModule = twoModule;
	}

	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}

	public String getJxmb() {
		return jxmb;
	}

	public void setJxmb(String jxmb) {
		this.jxmb = jxmb;
	}

	public String getZdbx() {
		return zdbx;
	}

	public void setZdbx(String zdbx) {
		this.zdbx = zdbx;
	}

	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	public Integer getAttrType() {
		return attrType;
	}

	public void setAttrType(Integer attrType) {
		this.attrType = attrType;
	}
}
