package com.aijia.kmt.service.impl;

import com.aijia.kmt.mapper.KmtExerciseQueryMapper;
import com.aijia.kmt.mapper.KmtExerciseQuestionKnowMapper;
import com.aijia.kmt.po.KmtExerciseQuestionKnow;
import com.aijia.kmt.service.KmtExerciseQuestionknowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service
public class KmtExerciseQuestionServiceKnowImpl implements KmtExerciseQuestionknowService {

    @Autowired
    private KmtExerciseQuestionKnowMapper kmtExerciseQuestionKnowMapper;

    @Autowired
    private KmtExerciseQueryMapper kmtExerciseQueryMapper;

    @Override
    @Transactional(propagation = Propagation.NOT_SUPPORTED)
    public List<Map<String, Object>> findQuestionKnowByQuestionIds(List<String> questionIds, int versionType) {
        return kmtExerciseQueryMapper.findHowDetailNameByQuestionIds(questionIds, versionType);
    }

    @Override
    public List<KmtExerciseQuestionKnow> findByQuestionId(String questionId) {
        return kmtExerciseQuestionKnowMapper.findByQuestionId(questionId);
    }

    @Override
    public List<KmtExerciseQuestionKnow> findByQuestionIdIn(List<String> questionIdList) {
        return kmtExerciseQuestionKnowMapper.findByQuestionIdIn(questionIdList);
    }

    @Override
    public void deleteByQuestionId (List<String> questionIds) {
        kmtExerciseQuestionKnowMapper.deleteByQuestionId(questionIds);

    }

    @Override
    public void flush() {
//        kmtExerciseQuestionKnowDao.flush();
//        kmtExerciseQuestionKnowMapper.flush();
    }
}