package com.aijia.kmt.vo;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

/**
 * @author yrf
 * @time 2020/4/26 11:41
 */
public class AnswerProofreadQuestionListReq extends PageReq {

    private static final long serialVersionUID = -2079953582229826129L;

    @ApiModelProperty(name = "exerciseBookId", value = "科目", required = true)
    @NotBlank
    private String exerciseBookId;

    @ApiModelProperty(name = "periodId", value = "练习册课时id", required = true)
    @NotBlank
    private String periodId;

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }
}
