package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class CompositionModuleRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "homeworkPictureId", value = "作业原图id", required = false)
    private String homeworkPictureId;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }
}
