package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author Mount Liu
 * @date 2020/4/14
 */
public class ExerciseDetailReq extends BaseRequest {

    private static final long serialVersionUID = 6011152528578070581L;

    @NotNull
    @ApiModelProperty(name = "exerciseBookId", value = "练习册id", required = true)
    private String exerciseBookId;

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }
}
