package com.aijia.kmt.vo.questionexport;

import com.aijia.core.web.BaseRequest;
import lombok.Data;

import javax.validation.constraints.Min;

@Data
public class ExerciseBookListRequest extends BaseRequest {

    @Min(1)
    private int pageNo;

    @Min(1)
    private int pageSize;

    private String subject;

    private String grade;

    private String bookName;

    private String versionName;

    private int semester;

    private int bookYear;

}
