package com.aijia.kmt.vo.rollbackai;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class AddExerciseQuestionRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "type", value = "操作类型（1：新增，2：修改）", required = true)
    private Integer type;

    @ApiModelProperty(name = "questionClassType", value = "大小题类型，1 大题，2小题", required = true)
    private int  questionClassType;

    @ApiModelProperty(name = "exerciseBookId", value = "练习册id", required = true)
    private String  exerciseBookId;

    @ApiModelProperty(name = "questionId", value = "题目id, 存在为修改", required = true)
    private String  questionId;

    @ApiModelProperty(name = "bigQuestionIndex", value = "大题号", required = true)
    private String  bigQuestionIndex;

    @ApiModelProperty(name = "smallQuestionIndex", value = "小题号", required = true)
    private String  smallQuestionIndex;

    @ApiModelProperty(name = "question", value = "原题目", required = true)
    private String  question;

    @ApiModelProperty(name = "questionText", value = "题目，题目文本", required = true)
    private String  questionText;

    @ApiModelProperty(name = "answer", value = "原答案", required = true)
    private String  answer;

    @ApiModelProperty(name = "answerJson", value = "答案json", required = true)
    private String  answerJson;

    @ApiModelProperty(name = "questionAnalysis", value = "原解析", required = true)
    private String  questionAnalysis;

    @ApiModelProperty(name = "analysisJson", value = "解析json", required = true)
    private String  analysisJson;

    @ApiModelProperty(name = "num", value = "当前题的num, 题目插入到前一题", required = false)
    private int num;

    @ApiModelProperty(name = "pageIndex", value = "页码", required = true)
    private Integer pageIndex;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public int getQuestionClassType() {
        return questionClassType;
    }

    public void setQuestionClassType(int questionClassType) {
        this.questionClassType = questionClassType;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getBigQuestionIndex() {
        return bigQuestionIndex;
    }

    public void setBigQuestionIndex(String bigQuestionIndex) {
        this.bigQuestionIndex = bigQuestionIndex;
    }

    public String getSmallQuestionIndex() {
        return smallQuestionIndex;
    }

    public void setSmallQuestionIndex(String smallQuestionIndex) {
        this.smallQuestionIndex = smallQuestionIndex;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getQuestionText() {
        return questionText;
    }

    public void setQuestionText(String questionText) {
        this.questionText = questionText;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getAnswerJson() {
        return answerJson;
    }

    public void setAnswerJson(String answerJson) {
        this.answerJson = answerJson;
    }

    public String getQuestionAnalysis() {
        return questionAnalysis;
    }

    public void setQuestionAnalysis(String questionAnalysis) {
        this.questionAnalysis = questionAnalysis;
    }

    public String getAnalysisJson() {
        return analysisJson;
    }

    public void setAnalysisJson(String analysisJson) {
        this.analysisJson = analysisJson;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }
    
    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }
}
