package com.aijia.kmt.vo.rollbackai;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

import java.io.Serializable;

public class ExerciseQuestionDealRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "type", value = "1上移, 2下移", required = false)
    private int  type;

    @ApiModelProperty(name = "questionClassType", value = "1移动大题，2移动小题", required = true)
    private int  questionClassType;

    @NotBlank
    @ApiModelProperty(name = "questionId", value = "题目id", required = true)
    private String  questionId;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getQuestionClassType() {
        return questionClassType;
    }

    public void setQuestionClassType(int questionClassType) {
        this.questionClassType = questionClassType;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }
}
