package com.aijia.questioninfo.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class QuestionDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String questionId;

    @JSONField(serialize = false)
    private String questionPath;

    private List<QuestionSpaceDto> questionJson;

    private List<QuestionLineDto> answerJson;

    private List<QuestionLineDto> analysisJson;

    private List<QuestionDto>  childQuestionList;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestionPath() {
        return questionPath;
    }

    public void setQuestionPath(String questionPath) {
        this.questionPath = questionPath;
    }

    public List<QuestionSpaceDto> getQuestionJson() {
        return questionJson;
    }

    public void setQuestionJson(List<QuestionSpaceDto> questionJson) {
        this.questionJson = questionJson;
    }

    public List<QuestionLineDto> getAnswerJson() {
        return answerJson;
    }

    public void setAnswerJson(List<QuestionLineDto> answerJson) {
        this.answerJson = answerJson;
    }

    public List<QuestionLineDto> getAnalysisJson() {
        return analysisJson;
    }

    public void setAnalysisJson(List<QuestionLineDto> analysisJson) {
        this.analysisJson = analysisJson;
    }

    public List<QuestionDto> getChildQuestionList() {
        return childQuestionList;
    }

    public void setChildQuestionList(List<QuestionDto> childQuestionList) {
        this.childQuestionList = childQuestionList;
    }

    public void addChildQuestion (QuestionDto questionDto){
        if (this.childQuestionList == null){
            this.childQuestionList = new ArrayList<>();
        }
        if (questionDto != null){
            this.childQuestionList.add(questionDto);
        }
    }
}
