package com.aijia.train.bean;



import com.aijia.kmt.po.base.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author admin
 */
@Entity
@Table(name = "tr_train_files")
public class TrTrainFiles extends BaseEntity {
	
	private static final long serialVersionUID = 890135943022798129L;

	/**
	 * 兼职类型 1、加工 2、加审 3、解析
	 */
	private Integer roleType;


	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
     * 批改科目
	 */
	private String subject;

	/**
	 * mp4,pdf,word,excel
	 */
	private String fileType;

	/**
	 * 文件路径
	 */
	private String fileUrl;

	/**
	 * 文件顺序
	 */
	private int fileIndex;

	private String fileName;

	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getFileType() {
		return fileType;
	}

	public void setFileType(String fileType) {
		this.fileType = fileType;
	}

	public String getFileUrl() {
		return fileUrl;
	}

	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}

	public int getFileIndex() {
		return fileIndex;
	}

	public void setFileIndex(int fileIndex) {
		this.fileIndex = fileIndex;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
}
