package com.aijia.train.mapper;

import com.aijia.train.bean.TrTrainFiles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author sh
 * @className TrainFileServiceMapper
 * @description file
 * @date 2021/7/26
 */
@Mapper
public interface TrainFileServiceMapper extends BaseMapper<TrTrainFiles> {
    @Select("select * from tr_train_files where file_index=#{index} and role_type=#{roleType} and subject = #{subject}")
    TrTrainFiles findNextFile(@Param("index")int index, @Param("roleType") Integer roleType, @Param("subject") String subject);
}
