package com.aijia.train.mapper;

import com.aijia.train.bean.TrTrainUserExercise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author sh
 * @className TrainUserExerciseMapper
 * @description ex
 * @date 2021/7/29
 */
@Mapper
public interface TrainUserExerciseMapper extends BaseMapper<TrTrainUserExercise> {
    @Select("delete from  tr_train_user_exercise  where user_id = #{userId}")
    void updateByUserId(@Param("userId") String userId);

    @Select("delete from  tr_train_user_question_know  where user_id = #{userId}")
    void deleteKnowData(@Param("userId")  String userId);
}
