package com.aijia;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *
 */
@SpringBootApplication(scanBasePackages = {"com.aijia"})
@EnableJpaRepositories
@EnableScheduling
@ServletComponentScan
class KmtApp extends SpringBootServletInitializer {
    public static void main(String[] args) throws InterruptedException {
        SpringApplication.run(KmtApp.class);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(KmtApp.class);
    }
}
