package com.aijia.core.web;

/**
 * 
 * 类名称：ResponseCode<br>
 * 类描述：返回常量<br>
 * @version v1.0
 *
 */
public class ResponseConstant {

    /**
     * 成功状态
     */
    public static final String CODE_999 = "999";

    /**
     * 用户名不存在
     */
    public static final String CODE_000 = "000";

    /**
     * 用户名和密码不匹配
     */
    public static final String CODE_001 = "001";

    /**
     * 用户密码不符合规范，需要重置密码
     */
    public static final String CODE_011 = "011";

    /**
     * 网络问题
     */
    public static final String CODE_002 = "002";
    /**
     * 会员卡为空
     */
    public static final String CODE_004 = "004";
    /**
     *图书isbn编号为空
     */
    public static final String CODE_005 = "005";
    /**
     *图书馆ID为空
     */
    public static final String CODE_006 = "006";
    /**
     *图书库存不足
     */
    public static final String CODE_007 = "007";
    /**
     *图书不存在
     */
    public static final String CODE_008 = "008";
    
    /**
     * 401 Unauthorized
     */
    public static final String CODE_401 = "401";
    
    /**
     * 403 Forbidden
     */
    public static final String CODE_403 = "403";
    
    /**
     * 404 Not Found
     */
    public static final String CODE_404 = "404";
    
    /**
     * 服务器问题
     */
    public static final String CODE_500 = "500";
    /**
     * 没有服务
     */
    public static final String CODE_003 = "003";
    /**
     * 请求太频繁
     */
    public static final String CODE_503 = "503";
    /**
     * 小程序根据code获取不到uninoid
     */
    public static final String CODE_888 = "888";

    /**
     * 校区服务已到期， 节假日提示， 可用在前端返回提示信息的状态码
     */
    public static final String CODE_009 = "009";
    
}
