package com.aijia.kmt.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ExerciseBookCourseClassDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String courseId = "";

    private String name = "";

    private String parentId = "";

    private List<ExerciseQuetionDto> list = new ArrayList<>();

    public ExerciseBookCourseClassDto () {

    }

    public ExerciseBookCourseClassDto (String courseId, String name){
        this.courseId = courseId;
        this.name = name;
    }

    public String getCourseId() {
        return courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ExerciseQuetionDto> getList() {
        return list;
    }

    public void setList(List<ExerciseQuetionDto> list) {
        this.list = list;
    }

    public void addExerciseQuestion (ExerciseQuetionDto question){
        this.list.add(question);
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
}
