package com.aijia.kmt.dto.exercise;

import java.io.Serializable;

public class ExerciseBookTypeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    public  ExerciseBookTypeDto (String bookTypeName, String exerciseBookId){
        this.bookType = -1;
        this.bookTypeName = bookTypeName;
        this.exerciseBookId = exerciseBookId;
    }

    public ExerciseBookTypeDto (int bookType, String exerciseBookId){
        this.bookType = bookType;
        if (this.bookType == 1){
            this.bookTypeName = "上半";
        } else if (this.bookType == 2){
            this.bookTypeName = "下半";
        } else {
            this.bookTypeName = "整本";
        }
        this.exerciseBookId = exerciseBookId;
    }

    private int bookType;

    private String bookTypeName;

    private String exerciseBookId;

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public String getBookTypeName() {
        return bookTypeName;
    }

    public void setBookTypeName(String bookTypeName) {
        this.bookTypeName = bookTypeName;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }
}
