package com.aijia.kmt.mapper;

import com.aijia.kmt.dto.PdfZipFileDto;
import com.aijia.kmt.po.KmtBookScanFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface KmtBookScanFileMapper extends BaseMapper<KmtBookScanFile> {

    @Select("select * from kmt_book_scan_files order by create_time desc")
    List<PdfZipFileDto> findPdfZipFileList (Page page);
}
