package com.aijia.kmt.mapper;

import com.aijia.kmt.po.KmtExerciseBookLib;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
//public interface KmtExerciseBookLibMapper extends JpaRepository<KmtExerciseBookLib, String> {
public interface KmtExerciseBookLibMapper extends BaseMapper<KmtExerciseBookLib> {

//    List<KmtExerciseBookLib> findByLibIdAndIsDelete(String libId, int isDelete);
    @Select("SELECT * FROM kmt_exercise_book_lib where lib_id=#{libId} and is_delete=#{idDelete}")
    List<KmtExerciseBookLib> findByLibIdAndIsDelete(@Param("libId") String libId,@Param("isDelete") int isDelete);

//    List<KmtExerciseBookLib> findByExerciseBookIdAndIsDelete(String exerciseBookId, int isDelete);
    @Select("SELECT * FROM kmt_exercise_book_lib where exercise_book_id=#{exerciseBookId} and is_delete=#{isDelete}")
    List<KmtExerciseBookLib> findByExerciseBookIdAndIsDelete(@Param("exerciseBookId") String exerciseBookId,@Param("isDelete") int isDelete);
}
