package com.aijia.kmt.mapper;

import com.aijia.kmt.po.KmtExerciseLibPriority;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface KmtExerciseLibPriorityMapper extends BaseMapper<KmtExerciseLibPriority> {

    @Delete("delete from kmt_exercise_lib_priority where subject=#{subject}")
    void deleteOrgCountBySubject(@Param("subject") String subject);

    @Delete("delete from kmt_exercise_lib_priority where lib_id=#{libId} and subject=#{subject}")
    void deleteOrgCountByLibIdAndSubject(@Param("libId")String libId,@Param("subject") String subject);

}
