package com.aijia.kmt.mapper;

import com.aijia.kmt.po.KmtUserOperateHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface KmtUserOperateHistoryMapper extends BaseMapper<KmtUserOperateHistory> {

    @Select("select enroll.type from tb_user user, tb_teacher_enrollment enroll " +
            " where user.mobile=enroll.phone_number and user.id=#{userId}")
    Integer findEnrollmentType (@Param("userId") String userId);

    @Select("select * from kmt_user_operate_history where teacher_id=#{teacherId} order by create_time desc")
    List<KmtUserOperateHistory> findByTeacherId (@Param("teacherId") String teacherId);
}
