package com.aijia.kmt.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Map;

@Mapper
public interface OneDayAndOneMonthMapper  {
    /**
     * 先查出所有当天应该出勤的老师(名字，时间)
     */
    Page<Map<String, Object>> findAllTeacher(@Param("map") Map map,@Param("pageable") Pageable pageable);

    /**
     * 查询各种计算
     */
//    Map<String, java.lang.Object> findAllCalculate(@Param("condition") Map condition);


    /**
     * 查询各种计算
     */
//    Map<String, java.lang.Object> findOneMonthAllCalculate(@Param("condition") Map condition);

    /**
     * 查询当天老师们是否出勤
     */
//    Map<String, java.lang.Object> findWhetherOnline(@Param("map") Map map);

    /**
     * 查询当月老师出勤率
     */
//    Map<String, java.lang.Object> findAttendacneRate(@Param("map") Map map);

    /**
     * 计算老师综合满意度
     */
//    Map<String, java.lang.Object> findTeacherSatis(@Param("map") Map map);

    /**
     * 计算总的出勤率
     */
//    Map<String, java.lang.Object> findTotalAttenRate(@Param("map") Map map);

    /**
     * 计算匹配知识点老师的响应时间
     */
//    Map<String, java.lang.Object> findRespTime(@Param("map") Map map);

    /**
     * 查询单个老师平均响应时间
     */
//    Map<String, java.lang.Object> findAvgTime(@Param("map") Map map);

    /**
     * 查询需要丢回收站的匹配老师作业
     */
//    List<Map<String, Object>> findAllUnfinshHomework(@Param("map") Map map);

    /**
     * 查询所有老师详情
     */
//    Page<Map<String, java.lang.Object>> findAllTeacherInfo(@Param("pageable") Pageable pageable,@Param("map") Map map);

    /**
     * 查询所有练习册老师
     */
//    Page<Map<String, java.lang.Object>> findAllExreciseTeacherInfo(@Param("pageable") Pageable pageable,@Param("map") Map map);

    /**
     *
     */
//    Map<String, java.lang.Object> findTeacherCount(@Param("map") Map map);

    /**
     * 查出记录在200条那一个点的时间
     */

//    Map<String, java.lang.Object> findTheCount(@Param("map") Map map);

//    List<Map<String, Object>> findAllCorrectTeacher(@Param("map") Map map);

    /**
     * 查出记录在500条那个点
     */
//    Map<String, java.lang.Object> findKnowCount(@Param("map") Map map);

    /**
     * 查询月出勤率
     */
//    Map<String, Object> findMonthCount(@Param("map") Map map);

//    Map<String, Object> findWrongCount(@Param("map") Map map);

//    Page<Map<String, Object>> findByStartTimeAndEndTime(@Param("map") Map map,@Param("pageable") Pageable pageable);

    /**
     * 单个老师作业最长等待时长，累计批注时间，响应速度计算
     */
//    Map<String, Object> querySimpleTeacherCalculate(@Param("condition") Map condition);

    /**
     * 根据老师有效总张数，是否在线离线进行排序
     */
//    Page<Map<String, Object>> sortTeacherInfoByHomePicCount(@Param("map") Map map,@Param("pageable") Pageable pageable);


}
