package com.aijia.kmt.po.base;

import org.hibernate.engine.spi.SharedSessionContractImplementor;
import org.hibernate.id.IdentityGenerator;

import java.io.Serializable;

/**
 * 自定义ID生成器
 * @version 1.0
 */
public class IDGenerator extends IdentityGenerator {

    @Override
    public Serializable generate(SharedSessionContractImplementor s, Object obj) {
        Object id = IdWorker.generateId();
        if (id != null) {
            return (Serializable) id;
        }
        return super.generate(s, obj);
    }


}
