package com.aijia.kmt.service;

import com.aijia.kmt.po.KmtExerciseQuestionKnow;

import java.util.List;
import java.util.Map;


public interface KmtExerciseQuestionknowService {
    /**
     * 查询题目关联的知识点名称
     * @param questionIds
     * @return
     */
    public List<Map<String, Object>> findQuestionKnowByQuestionIds(List<String> questionIds, int versionType);

    /**
     * 根据题目的id查询关联知识点
     */
    List<KmtExerciseQuestionKnow> findByQuestionId(String questionId);

    /**
     * 根据题目的id集合查询关联知识点
     * @param questionIdList
     */
    List<KmtExerciseQuestionKnow> findByQuestionIdIn(List<String> questionIdList);

    /**
     * 删除记录
     * @param questionIds
     */
    void deleteByQuestionId (List<String> questionIds);

    /**
     * 刷新数据修改至数据库
     */
    void flush();
}
