package com.aijia.kmt.service;


import com.aijia.kmt.dto.KnowHowDTO;
import com.aijia.kmt.dto.KnowHowDetailsDTO;
import com.aijia.kmt.vo.KnowledgeRequest;

import java.util.List;
import java.util.Map;

public interface KmtKnowledgeService {

    Map<String, Object> findKnowledgeFilter();

    /**
     * 查询知识点列表，知识点id，单元id,考点id使用sort表的id；  zyb_know_how_details_sort， zyb_know_how_details
     * @param request
     * @return
     */
    List<KnowHowDTO> findSortKnowledgeByCondition(KnowledgeRequest request);

    /**
     * 查询知识点下的考点，  zyb_know_how_details_sort
     * @param detailIds
     * @return
     */
    List<KnowHowDetailsDTO> findDetailsListWithKd(List<String> detailIds);
}
