package com.aijia.kmt.service.impl;

import com.aijia.kmt.mapper.ConfigMapper;
import com.aijia.kmt.po.Config;
import com.aijia.kmt.service.ConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 
 * 类名称：ConfigServiceImpl<br>
 * 类描述：系统参数服务接口实现<br>
 * @version v1.0
 *
 */
@Service
public class ConfigServiceImpl implements ConfigService {

    @Autowired
    public ConfigMapper ConfigMapper;

	@Override
	public Config findConfigByParamCode(String paramCode) {
		return ConfigMapper.findByParamCode(paramCode);
	}
}
