package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import java.util.List;

public class AllotCheckTeacherReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@NotBlank
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @NotEmpty
    @ApiModelProperty(name = "exerciseBookIdList", value = "练习册id集合", required = true)
    private List<String> exerciseBookIdList;

    @ApiModelProperty(name = "type", value = "分配类型", required = false)
    private int type;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public List<String> getExerciseBookIdList() {
        return exerciseBookIdList;
    }

    public void setExerciseBookIdList(List<String> exerciseBookIdList) {
        this.exerciseBookIdList = exerciseBookIdList;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
