package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import java.util.List;

public class AnswerProofreadSubmitAnswerRequest extends BaseRequest{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "questions", value = "题目ids", required = true)
    @NotEmpty
    private List<QuestionUpdateRequest> answerList;

    public List<QuestionUpdateRequest> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(List<QuestionUpdateRequest> answerList) {
        this.answerList = answerList;
    }
}