package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:06 2019/11/26
 * @Modified By
 */
public class ExerciseBookIdDealTypeRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "练习册id", required = true)
    private String id;

    @ApiModelProperty(name = "dealType", value = "0未知， 1加工，2审核, 4解析", required = true)
    private int dealType;

    @ApiModelProperty(name = "bookYear", value = "练习册年份", required = true)
    private int bookYear;

    @ApiModelProperty(name = "bookType", value = "练习册类型", required = true)
    private int bookType;

    @ApiModelProperty(name = "bookPartType", value = "练习册题目类型, 1全部，2不同", required = true)
    private int bookPartType;

    @ApiModelProperty(name = "exerciseBookId", value = "练习册exerciseBookId", required = true)
    private String exerciseBookId;

    @ApiModelProperty(name = "questionId", value = "题目id", required = false)
    private String questionId;

    @ApiModelProperty(name = "userId", value = "用户id", required = false)
    private String userId;

    @ApiModelProperty(name = "searchType", value = "搜索类型", required = false)
    private int searchType = 0;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getDealType() {
        return dealType;
    }

    public void setDealType(int dealType) {
        this.dealType = dealType;
    }

    public int getBookYear() {
        return bookYear;
    }

    public void setBookYear(int bookYear) {
        this.bookYear = bookYear;
    }

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public int getBookPartType() {
        return bookPartType;
    }

    public void setBookPartType(int bookPartType) {
        this.bookPartType = bookPartType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getSearchType() {
        return searchType;
    }

    public void setSearchType(int searchType) {
        this.searchType = searchType;
    }
}
