package com.aijia.kmt.vo;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 9:52 2020/4/10
 * @Modified By
 */
public class FindKmtTeacherListReq extends PageReq {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目（如：’语文’）", required = false)
    private String subject;

    @ApiModelProperty(name = "type", value = "老师类型(不传就是全部，1:加工， 2审核， 3解析， 4解审，5:题库迁移，6：题库审核，7：kmt录入)", required = false)
    private String type = "";

    @ApiModelProperty(name = "teacherName", value = "老师名称", required = false)
    private String teacherName = "";

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTeacherName() {
        return teacherName.trim();
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
