package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 11:30 2020/3/25
 * @Modified By
 */
public class FindTeacherReviseQuestionsReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "detailId", value = "知识点id", required = true)
    private String detailId;

    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @ApiModelProperty(name = "bookId", value = "练习册id", required = true)
    private String bookId;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }
}
