package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/3/19
 */
public class ForgetPasswordReq extends BaseRequest {

    private final static long serialVersionUID = 1L;


    @NotBlank
    @ApiModelProperty(name = "phone", value = "手机号", required = true)
    private String phone;

    @NotBlank
    @ApiModelProperty(name = "vcode", value = "密码", required = true)
    private String vcode;

    @NotBlank
    @ApiModelProperty(name = "password", value = "密码", required = true)
    private String password;

    public String getVcode() {
        return vcode;
    }

    public void setVcode(String vcode) {
        this.vcode = vcode;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
