package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author yanghuan
 * @title: KmtExerciseBookLibReq
 * @projectName ssj
 * @description: TODO
 * @date 2020/4/15 16:07
 */
public class KmtExerciseBookLibReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    @NotNull
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页记录数", required = true)
    @NotNull
    private Integer pageSize = 10;

    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
    private String maxCreateTime;

    @ApiModelProperty(name="subject",value = "科目",required = true)
    private String subject;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
