package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MonthPageReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @NotNull(message = "当前页数不能为空")
    @ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int pageNo;

    @NotNull(message = "每页张数不能为空")
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private  int pageSize;

    @ApiModelProperty(name = "month", value = "月份", required = true)
    private  String  month;

    @ApiModelProperty(name="name",value = "老师姓名",required = false)
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }
}

