package com.aijia.kmt.vo;

import com.aijia.core.web.BaseRequest;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class PhoneNumberVo extends BaseRequest {

    @NotBlank(message = "电话不能为空")
    @Pattern(regexp = "^1\\d{10}$", message = "电话格式不正确")
    private String phoneNumber;
}
