package com.aijia.kmt.vo.rollbackai;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class ExerciseBooksEditRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String  subject;

    @ApiModelProperty(name = "versionType", value = "版本号", required = true)
    private int  versionType;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String  grade;

    @ApiModelProperty(name = "semester", value = "上下册，1上2下", required = true)
    private int  semester;

    @ApiModelProperty(name = "bookName", value = "练习册名称", required = false)
    private String  bookName;

    @ApiModelProperty(name = "questionId", value = "题目id", required = false)
    private String questionId;


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }
}
