package com.aijia.questioninfo.mapper;

import com.aijia.questioninfo.bean.QuestionInfo;
import com.aijia.questioninfo.dto.QuestionDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface KmtExerciseQuestionInfoMapper extends BaseMapper<QuestionInfo> {

    @Select("select id question_id, question_path from kmt_exercise_questions where id=#{questionId}")
    QuestionDto findQuestionByQuestionId(@Param("questionId") String questionId);
}
