package com.aijia.train.bean;



import com.aijia.kmt.po.base.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author admin
 * 练习册与角色
 */
@Entity
@Table(name = "tr_train_exercise_role")
public class TrTrainExerciseRole extends BaseEntity {

	/**
	 * 学习角色
	 */
	private int roleType;

	/**
	 * 练习册id
	 */
	private String exerciseId;

	/**
	 * 学科
	 * @return
	 */
	private String subject;

	public int getRoleType() {
		return roleType;
	}

	public void setRoleType(int roleType) {
		this.roleType = roleType;
	}

	public String getExerciseId() {
		return exerciseId;
	}

	public void setExerciseId(String exerciseId) {
		this.exerciseId = exerciseId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
}
