package com.aijia.train.bean;



import com.aijia.kmt.po.base.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author admin
 */
@Entity(name="tr_train_part_user")
@Table(name = "tr_train_part_user")
public class TrTrainPartUser extends BaseEntity {
	
	private static final long serialVersionUID = 890135943022798129L;

	/**
	 * 兼职类型 1、加工 2、加审 3、解析
	 */
	private Integer roleType;

	/**
	 * 密码，明文
	 */
	private String password;

	/**
	 * 手机号
	 */
	private String mobile;

	/**
	 * 老师姓名
	 */
	private String name;

	/**
	 * 用户状态 1正常 2禁用
	 */
	private Integer status;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 批改科目
	 */
	private String subject;

	/**
	 * 学习状态 0-未开始学习  1-学习中 2-学习超时 3-未提交 4-已提交 5-通过
	 */
	private int studyStatus;

	/**
	 * 学习次数（考核次数）
	 */
	private int studyTimes;

	/**
	 * 考核次数（考核次数）
	 */
	private int checkTimes;

	/**
	 * 0 不是管理员 1-管理员
	 */
	private int managerType;


	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public int getStudyStatus() {
		return studyStatus;
	}

	public void setStudyStatus(int studyStatus) {
		this.studyStatus = studyStatus;
	}

	public int getStudyTimes() {
		return studyTimes;
	}

	public void setStudyTimes(int studyTimes) {
		this.studyTimes = studyTimes;
	}

	public int getManagerType() {
		return managerType;
	}

	public void setManagerType(int managerType) {
		this.managerType = managerType;
	}

	public int getCheckTimes() {
		return checkTimes;
	}

	public void setCheckTimes(int checkTimes) {
		this.checkTimes = checkTimes;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
}
