package com.aijia.train.bean;



import com.aijia.kmt.po.base.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author admin
 */
@Entity
@Table(name = "tr_train_user_info")
public class TrTrainUserInfo extends BaseEntity {

	/**
	 * userId
	 */
	private String userId;

	/**
	 * 创建时间（学习开始时间）
	 */
	private Date createTime;

	/**
	 * 学习角色
	 */
	private int roleType;

	/**
	 * 学习资料id
	 */
	private String fileId;

	/**
	 * 学科
	 * @return
	 */
	private String subject;

	/**
	 * 是否有效 1有效 2无效
	 */
	private int status;

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public int getRoleType() {
		return roleType;
	}

	public void setRoleType(int roleType) {
		this.roleType = roleType;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}
}
