package com.aijia.train.bean;

import com.aijia.kmt.po.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author sh
 * @className TrainUserExerciseInfo
 * @description 用户培训相关
 * @date 2021/7/27
 */
@Entity
@Table(name="tr_train_user_question_know")
public class TrTrainUserQuestionKnow extends BaseEntity {

    private String userId;
    @TableField(updateStrategy = FieldStrategy.NEVER)
    private String questionId;//题目id
    private String questionParentId;//大题id
    private String howDetailsId;//知识点id
    private String howDetailsKdId;//考点id
    private Integer loaded;
    private Integer version;
    private Date updateTime;//最后一次更新时间
    private Date createTime;//创建时间
    private String howDetailSortId;
    private String howDetailKdSortId;

    @Column(name = "question_id", updatable = false)
    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestionParentId() {
        return questionParentId;
    }

    public void setQuestionParentId(String questionParentId) {
        this.questionParentId = questionParentId;
    }

    public String getHowDetailsId() {
        return howDetailsId;
    }

    public void setHowDetailsId(String howDetailsId) {
        this.howDetailsId = howDetailsId;
    }

    public String getHowDetailsKdId() {
        return howDetailsKdId;
    }

    public void setHowDetailsKdId(String howDetailsKdId) {
        this.howDetailsKdId = howDetailsKdId;
    }

    public Integer getLoaded() {
        return loaded;
    }

    public void setLoaded(Integer loaded) {
        this.loaded = loaded;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getHowDetailSortId() {
        return howDetailSortId;
    }

    public void setHowDetailSortId(String howDetailSortId) {
        this.howDetailSortId = howDetailSortId;
    }

    public String getHowDetailKdSortId() {
        return howDetailKdSortId;
    }

    public void setHowDetailKdSortId(String howDetailKdSortId) {
        this.howDetailKdSortId = howDetailKdSortId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
}
