package com.aijia.train.mapper;

import com.aijia.train.vo.FileVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author sh
 * @className TrainAllMapper
 * @description all
 * @date 2021/7/26
 */
@Mapper
public interface TrainAllMapper {
    /**
     * 查找学习列表
     * @param userId
     * @return
     */
    List<FileVO> findTrainFileList(@Param("userId") String userId,@Param("roleType") int roleType);

    /**
     * 查找兼职老师列表
     * @param roleType 类型
     * @param subject 科目
     * @param type 状态类型
     * @return
     */
    List<Map<String, Object>> partTeacherList(@Param("roleType") Integer roleType,@Param("subject") String subject,@Param("type") Integer type);
}
